# RenewCloudRouter

## 1. 接口描述

调用本接口用于恢复一条已删除的三层网络。

{% hint style="info" %}
**注意事项**

* 仅三层网络状态为**RECYCLED**的可以调用此接口进行恢复。
* 本接口为异步接口，当请求下发成功后，恢复三层网络操作并未立即完成。在此期间三层网络的状态将会处于**RECOVERING**，当恢复成功，三层网络的状态将变为**RUNNING**。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

<table><thead><tr><th>参数名称</th><th width="110">必选</th><th width="183">类型</th><th>描述</th></tr></thead><tbody><tr><td>cloudRouterId</td><td>是</td><td>String</td><td>三层网络ID。</td></tr></tbody></table>

## 3. 响应结果

<table><thead><tr><th width="136.33333333333331">参数名称</th><th width="248">类型</th><th>描述</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td><p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 RequestId。</p></td></tr></tbody></table>

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 恢复一条三层网络**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: RenewCloudRouter
<Common Request Params>

Request：
{
    "cloudRouterId": "your-cloud-router-id"
}

Response：
{   
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"，
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
|         |     |    |
|         |     |    |
|         |     |    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/router/renew-cloud-router.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
